// rf95_client.pde
// -*- mode: C++ -*-
// Example sketch showing how to create a simple messageing client
// with the RH_RF95 class. RH_RF95 class does not provide for addressing or
// reliability, so you should only use RH_RF95 if you do not need the higher
// level messaging abilities.
// It is designed to work with the other example rf95_server
// Tested with Anarduino MiniWirelessLoRa, Rocket Scream Mini Ultra Pro with
// the RFM95W, Adafruit Feather M0 with RFM95

#include <RH_RF95.h>
#include <SPI.h>
#include "Adafruit_MCP9808.h"
#include "dtostrf.h"

// Singleton instance of the radio driver
RH_RF95 rf95(8, 3); // Adafruit Feather M0 with RFM95 

// Create the MCP9808 temperature sensor object
Adafruit_MCP9808 tempsensor = Adafruit_MCP9808();

String datastring="";
char databuf[10];
uint8_t dataoutgoing[10];

void setup() 
{

  Serial.begin(9600);
  //while (!Serial) ; // Wait for serial port to be available
    if (!tempsensor.begin()) {
    Serial.println("Couldn't find MCP9808!");
    while (1);
  }
  if (!rf95.init())
    Serial.println("init failed");
}

void loop()
{
  // Read and print out the temperature, then convert to *F
  float c = tempsensor.readTempC();
  float f = c * 9.0 / 5.0 + 32;
  Serial.print("Temp: "); Serial.print(c); Serial.print("*C\t"); 
  Serial.print(f); Serial.println("*F");
    
  Serial.println("Sending to rf95_server");
  // Send a message to rf95_server
  uint8_t entry[] = "Temperature Sent";
  rf95.send(entry, sizeof(entry));

  datastring += dtostrf(f, 4, 2, databuf);
  strcpy((char *)dataoutgoing,databuf);
  Serial.println(databuf);
  rf95.send(dataoutgoing, sizeof(dataoutgoing));
  rf95.waitPacketSent();
  delay(400);
  rf95.sleep();
  delay(10000);
}
